/*------------------------------------------------------------------------------
  11.2 - Post Revisions
------------------------------------------------------------------------------*/
.revisions-control-frame,
.revisions-diff-frame {
	position: relative;
}

.revisions-controls {
	padding-top: 40px;
	height: 100px;
	z-index: 1;
}

.revisions-controls input[type="checkbox"] {
	position: relative;
	top: -1px;
	vertical-align: text-bottom;
}

.revisions.pinned .revisions-controls {
	position: fixed;
	top: 0;
	height: 82px;
	background: #fff;
	-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.1);
	box-shadow: 0 1px 3px rgba(0,0,0,0.1);
}

.revisions-tickmarks {
	position: relative;
	margin: 0 auto;
	height: 0.7em;
	top: 7px;
	max-width: 70%;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	background-color: #fff;
}

.revisions-tickmarks > div {
	position: absolute;
	height: 100%;
	border-right: 1px solid #a0a5aa;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.revisions-tickmarks > div:first-child {
	border-width: 0;
}

.comparing-two-revisions .revisions-controls {
	height: 140px;
}

.comparing-two-revisions.pinned .revisions-controls {
	height: 124px;
}

.revisions .diff-error {
	position: absolute;
	text-align: center;
	margin: 0 auto;
	width: 100%;
	display: none;
}

.revisions.diff-error .diff-error {
	display: block;
}

.revisions .loading-indicator {
	position: absolute;
	vertical-align: middle;
	opacity: 0;
	width: 100%;
	width: -webkit-calc( 100% - 30px );
	width: calc( 100% - 30px );
	top: 50%;
	top: -webkit-calc( 50% - 10px );
	top: calc( 50% - 10px );
	-webkit-transition: opacity 0.5s;
	transition: opacity 0.5s;
	filter: alpha(opacity=0); /* ie8 and earlier */
}

body.folded .revisions .loading-indicator {
	margin-right: -32px;
}

.revisions .loading-indicator span.spinner {
	display: block;
	margin: 0 auto;
	float: none;
}

.revisions.loading .loading-indicator {
	opacity: 1;
	filter: alpha(opacity=100); /* ie8 and earlier */
}

.revisions .diff {
	-webkit-transition: opacity 0.5s;
	transition: opacity 0.5s;
}

.revisions.loading .diff {
	opacity: 0.5;
	filter: alpha(opacity=50); /* ie8 and earlier */
}

.revisions.diff-error .diff {
	visibility: hidden;
}

.revisions-meta {
	margin-top: 20px;
	background-color: #fff;
	-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.1);
	box-shadow: 0 1px 3px rgba(0,0,0,0.1);
}

.revisions.pinned .revisions-meta {
	-webkit-box-shadow: none;
	box-shadow: none;
}

.revision-toggle-compare-mode {
	position: absolute;
	top: 0;
	left: 0;
}

.comparing-two-revisions .revisions-previous,
.comparing-two-revisions .revisions-next,
.revisions-meta .diff-meta-to strong {
	display: none;
}

.revisions-controls .author-card .date {
	color: #72777c;
}

.revisions-controls .author-card.autosave {
	color: #d54e21;
}

.revisions-controls .author-card .author-name {
	font-weight: 600;
}

.comparing-two-revisions .diff-meta-to strong {
	display: block;
}

.revisions.pinned .revisions-buttons {
	padding: 0 11px;
}

.revisions-previous,
.revisions-next {
	position: relative;
	z-index: 1;
}

.revisions-previous {
	float: right;
}

.revisions-next {
	float: left;
}

.revisions-controls .ere-slider {
	max-width: 70%;
	margin: 0 auto;
	top: -3px;
}

.revisions-diff {
	padding: 15px;
	background-color: #fff;
	-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.1);
	box-shadow: 0 1px 3px rgba(0,0,0,0.1);
}

.revisions-diff h3:first-child {
	margin-top: 0;
}

/* Revision meta box */
.post-revisions li img,
#revisions-meta-restored img {
	vertical-align: middle;
}

table.diff tbody tr td:nth-child(2) {
	width: 4%;
}

table.diff {
	table-layout: fixed;
	width: 100%;
	white-space: pre-wrap;
}

table.diff col.content {
	width: auto;
}

table.diff col.content.diffsplit {
	width: 48%;
}

table.diff col.diffsplit.middle {
	width: auto;
}

table.diff col.ltype {
	width: 30px;
}

table.diff tr {
	background-color: transparent;
}

table.diff td,
table.diff th {
	font-family: Consolas, Monaco, monospace;
	font-size: 14px;
	line-height: 1.618;
	padding: .5em;
	vertical-align: top;
	word-wrap: break-word;
}

table.diff td h1,
table.diff td h2,
table.diff td h3,
table.diff td h4,
table.diff td h5,
table.diff td h6 {
	margin: 0;
}

table.diff .diff-deletedline del,
table.diff .diff-addedline ins {
	text-decoration: none;
}

table.diff .diff-deletedline {
	background-color: #ffe9e9;
}

table.diff .diff-deletedline del {
	background-color: #faa;
}

table.diff .diff-addedline {
	background-color: #e9ffe9;
}

table.diff .diff-addedline ins {
	background-color: #afa;
}

.diff-meta {
	padding: 5px;
	clear: both;
	min-height: 32px;
}

.diff-title strong {
	line-height: 32px;
	min-width: 60px;
	text-align: left;
	float: right;
	margin-left: 5px;
}

.revisions-controls .author-card .author-info {
	font-size: 12px;
	line-height: 16px;
}

.revisions-controls .author-card .avatar,
.revisions-controls .author-card .author-info {
	float: right;
	margin-right: 6px;
	margin-left: 6px;
}

.revisions-controls .author-card .byline {
	display: block;
	font-size: 12px;
}

.revisions-controls .author-card .avatar {
	vertical-align: middle;
}

.diff-meta input.restore-revision {
	float: left;
	margin-right: 6px;
	margin-left: 6px;
	margin-top: 4px;
}

.diff-meta-from {
	display: none;
}

.comparing-two-revisions .diff-meta-from {
	display: block;
}

.revisions-tooltip {
	position: absolute;
	bottom: 105px;
	margin-left: 0;
	margin-right: -69px;
	z-index: 0;
	max-width: 350px;
	min-width: 130px;
	padding: 8px 4px;
	display: none;
	opacity: 0;
}

.revisions-tooltip.flipped {
	margin-right: 0;
	margin-left: -70px;
}

.revisions.pinned .revisions-tooltip {
	display: none !important;
}

.comparing-two-revisions .revisions-tooltip {
	bottom: 145px;
}

.revisions-tooltip-arrow {
	width: 70px;
	height: 15px;
	overflow: hidden;
	position: absolute;
	right: 0;
	margin-right: 35px;
	bottom: -15px;
}

.revisions-tooltip.flipped .revisions-tooltip-arrow {
	margin-right: 0;
	margin-left: 35px;
	right: auto;
	left: 0;
}

.revisions-tooltip-arrow > span {
	content: "";
	position: absolute;
	right: 20px;
	top: -20px;
	width: 25px;
	height: 25px;
	-webkit-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.revisions-tooltip.flipped .revisions-tooltip-arrow > span {
	right: auto;
	left: 20px;
}

.ie8 .revisions-tooltip-arrow > span {
	right: 15px;
	top: -25px;
	-ms-filter: "progid:DXImageTransform.Microsoft.Matrix(SizingMethod='auto expand', M11=0.7071067811865476, M12=-0.7071067811865475, M21=0.7071067811865475, M22=0.7071067811865476)";
}

.ie8 .revisions-tooltip.flipped .revisions-tooltip-arrow > span {
	left: 25px;
}

.revisions-tooltip,
.revisions-tooltip-arrow > span {
	border: 1px solid #ddd;
	background-color: #fff;
}

.revisions-tooltip {
	display: none;
}

.arrow {
	width: 70px;
	height: 16px;
	overflow: hidden;
	position: absolute;
	right: 0;
	margin-right: -35px;
	bottom: 90px;
	z-index: 10000;
}

.arrow:after {
	z-index: 9999;
	background-color: #fff;
	-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.1);
	box-shadow: 0 1px 3px rgba(0,0,0,0.1);
}

.arrow.top {
	top: -16px;
	bottom: auto;
}

.arrow.left {
	right: 20%;
}

.arrow:after {
	content: "";
	position: absolute;
	right: 20px;
	top: -20px;
	width: 25px;
	height: 25px;
	-webkit-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.revisions-tooltip,
.revisions-tooltip-arrow:after {
	border-width: 1px;
	border-style: solid;
}

div.revisions-controls > .ere-slider > .ui-slider-handle {
	margin-right: -10px;
}

.rtl div.revisions-controls > .ere-slider > .ui-slider-handle {
	margin-left: -10px;
}

/* jQuery UI Slider */
.ere-slider.ui-slider {
	position: relative;
	border: 1px solid #ddd;
	text-align: right;
	cursor: pointer;
}

.ere-slider .ui-slider-handle {
	-webkit-border-radius: 50%;
	border-radius: 50%;
	height: 18px;
	margin-top: -5px;
	outline: none;
	padding: 2px;
	position: absolute;
	width: 18px;
	z-index: 2;
	-ms-touch-action: none;
	touch-action: none;
}

.ere-slider .ui-slider-handle,
.ere-slider .ui-slider-handle.focus {
	background: #f7f7f7;
	border: 1px solid #ccc;
	-webkit-box-shadow: 0 1px 0 #cccccc;
	box-shadow: 0 1px 0 #cccccc;
}

.ere-slider .ui-slider-handle:hover,
.ere-slider .ui-slider-handle.ui-state-hover {
	background: #fafafa;
	border-color: #999;
}

.ere-slider .ui-slider-handle:active,
.ere-slider .ui-slider-handle.ui-state-active {
	background: #eee;
	border-color: #999;
 	-webkit-box-shadow: inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 );
 	box-shadow: inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 );
 	-webkit-transform: translateY(1px);
 	-ms-transform: translateY(1px);
 	transform: translateY(1px);
}


.ere-slider .ui-slider-handle:before {
	background: none;
	position: absolute;
	top: 2px;
	right: 2px;
	color: #555;
	content: "\f229";
	font: normal 18px/1 dashicons;
	speak: none;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.ere-slider .ui-slider-handle:hover:before,
.ere-slider .ui-slider-handle.ui-state-hover:before {
	color: #23282d;
}

.ere-slider .ui-slider-handle.from-handle:before,
.ere-slider .ui-slider-handle.to-handle:before {
	font-size: 20px !important;
	margin: -1px -1px 0 0;
}

.ere-slider .ui-slider-handle.from-handle:before {
	content: "\f141";
}

.ere-slider .ui-slider-handle.to-handle:before {
	content: "\f139";
}

.rtl .ere-slider .ui-slider-handle.from-handle:before {
	content: "\f139";
}

.rtl .ere-slider .ui-slider-handle.to-handle:before {
	content: "\f141";
	left: -1px;
}

.ere-slider .ui-slider-range {
	position: absolute;
	font-size: .7em;
	display: block;
	border: 0;
	background-color: transparent;
	background-image: none;
}

.ere-slider.ui-slider-horizontal {
	height: .7em;
}

.ere-slider.ui-slider-horizontal .ui-slider-handle {
	top: -.25em;
	margin-right: -.6em;
}

.ere-slider.ui-slider-horizontal .ui-slider-range {
	top: 0;
	height: 100%;
}

.ere-slider.ui-slider-horizontal .ui-slider-range-min {
	right: 0;
}

.ere-slider.ui-slider-horizontal .ui-slider-range-max {
	left: 0;
}

/* =Media Queries
-------------------------------------------------------------- */

/**
 * HiDPI Displays
 */
@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 120dpi) {
	.revision-tick.completed-false {
		background-image: url(../images/spinner-2x.gif);
	}
}

@media screen and ( max-width: 782px ) {
	#diff-next-revision,
	#diff-previous-revision {
		margin-top: -1em;
	}

	table.diff {
		-ms-word-break: break-all;
		word-break: break-all;
		word-wrap: break-word;
	}
}
